Prolifto
API reference

Customers

Customer profiles and addresses

Archive

POST
/customers/archive

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/archive" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string"  }'
{}

Archive Many

POST
/customers/archiveMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/archiveMany" \  -H "Content-Type: application/json" \  -d '{    "customerIds": [      "string"    ]  }'
{}

Create

POST
/customers/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/create" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "phoneNumber": "string"  }'
{}

Get Many

POST
/customers/getMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/getMany" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Get One

POST
/customers/getOne

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/getOne" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string",    "organizationSlug": "string"  }'
{}

Restore

POST
/customers/restore

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/restore" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string"  }'
{}

Restore Many

POST
/customers/restoreMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/restoreMany" \  -H "Content-Type: application/json" \  -d '{    "customerIds": [      "string"    ]  }'
{}

Update

POST
/customers/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/customers/update" \  -H "Content-Type: application/json" \  -d '{    "phoneNumber": "string",    "customerId": "string"  }'
{}